<?xml version="1.0"?>

<xsl:stylesheet version="1.0"	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

<xsl:template match="rss/channel">
	<html>
	<head>
		<title>Preview</title>
		<style type="text/css">
			html {
				/*filter: progid:DXImageTransform.Microsoft.Gradient(gradientType=0,startColorStr=white,endColorStr=#EBECF1);*/
			}
			body { 
				background-color: white; 
				color: black; 
				font: 80% "$FONT-NAME-NEWSPAPER$", Verdana, Arial, sans-serif;
				margin: 0;
			}
			a { text-decoration: none; }
			a:hover { text-decoration: underline; }
			a img { border: none; }
	
			/* override headings used by feeds */
			h1,h2,h3,h4,h5,h6 { font-size: 100%; font-weight: bold; font-style: italic; }
	
			div#newspapertitle { 
				font-size: x-large;
				font-weight: bold;
				padding: 8px 28px;				
				background-color: $COLOR-PAGEHEAD2$;
				border-bottom: 1px solid $COLOR-PAGEHEAD2$;
				min-height: 28px;
				background-image: url($IMAGETHEMEDIR$pagehead.png);
				background-position: top left;
				background-repeat: repeat-x;
			}
			div#newspapertitle, div#newspapertitle a {
				color: $COLOR-PAGEHEAD-FONT$;				
			}
			
			div#newsitems {
				margin: 22px 28px;				
			}
			div.newsitemtitle { 
				font-weight: bold; 
				font-size: medium;
				margin-bottom: 6px;
			}	
			
			div.newsitemtitle a { color: black; }
			
			div.newsitemcontent { 	
				padding-bottom: 22px;			
				border-bottom: 1px dotted black;
				margin-bottom: 22px;
				overflow: hidden;
			}
			div.newsitemheader { 
				font-size: small; 
				font-style: italic;
				margin-bottom: 12px;
				color: gray;
			}
			span.sep { margin: 0 5px; }	
		</style>
	</head>
	<body>
		<div id="newspapertitle">
			<a href="{link}" title="{link}"><xsl:value-of select="title" disable-output-escaping="yes"/></a>
		</div>
	
		<div id="newsitems">
			<xsl:for-each select="item">
				<div class="newsitem">
				   <div class="newsitemtitle">
				     	<a href="{link}" title="{link}"><xsl:value-of select="title" disable-output-escaping="yes"/></a>
					</div>
					<div class="newsitemheader">
						<xsl:value-of select="dateDisplay"/>
						<xsl:if test="author"><span class="sep">|</span> <xsl:value-of select="author" /></xsl:if>
						<xsl:if test="enclosure"><span class="sep">|</span><a href="{enclosure/@url}" title="{enclosure/@url}"><img src="$IMAGEDIR$enclosure.gif" align="absmiddle" /></a></xsl:if>
					</div>					
					<div class="newsitemcontent">
						<xsl:value-of select="description" disable-output-escaping="yes"/>
					</div>
				</div>
			</xsl:for-each>
		</div>
	</body>
	</html>	
</xsl:template>

</xsl:stylesheet>